Bug 585255 - Typing a character in the search submenu leads to an intermediate page
Typing a character in the search submenu leads to an intermediate page
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Corey Welton
:
Depends On:
Blocks: jon-sprint9-bugs
  Show dependency treegraph
 
Reported: 2010-04-23 10:46 EDT by gneelaka@redhat.com
Modified: 2010-08-12 12:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:53:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
exception description (29.00 KB, application/octet-stream)
2010-04-23 10:46 EDT, gneelaka@redhat.com
no flags Details

  None (edit)
Description gneelaka@redhat.com 2010-04-23 10:46:34 EDT
Created attachment 408634 [details]
exception description

Description of problem:


Version-Release number JON#108 revision 10611


How reproducible:


Steps to Reproduce:
1.go to the JON dashboard.
2.Under the Resources go to the search submenu.
3.type any alphabet and click on enter 
  
Actual results:

an intermediate page appears with exception.


Expected results:

user should be able to go to next page without an exception.


Additional info:
Comment 1 Jeff Weiss 2010-04-23 11:46:44 EDT
To clarify repro steps:  You can be on ANY page in JON, not just the dashboard.  The search bar in the main menu is where the problem occurs.  Sometimes you may have to type a few characters, wait for the "LOADING" indicator to disappear, then delete the characters.  The stack trace will appear spontaneously after that.
Comment 2 Joseph Marques 2010-04-23 19:06:04 EDT
commit 190d928d699c43b53b4f794b113fe035c701a10c

fix resource search from the menu bar to properly show disambiguated resource results
Comment 3 gneelaka@redhat.com 2010-04-27 05:33:19 EDT
tested on build JON build#112 Revision 10615

Steps followed:

1)On the JON page go to Resource menu.
2)In the search submenu type a character.

Observation: No intermediate page appears with exception .also the item typed in the menu is selected among the resources.
Comment 7 Corey Welton 2010-08-12 12:53:05 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.